Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types
Class FlexInteger

    java.lang.Object
      org.apache.tools.ant.types.FlexInteger

    public class FlexInteger

extends java.lang.Object

Helper class which can be used for Ant task attribute setter methods to allow the build file to specify an integer in either decimal, octal, or hexadecimal format.

See Also:
  `Integer.decode(String)`

Constructor Summary
`FlexInteger(java.lang.String value)` Constructor used by Ant's introspection mechanism for attribute population

Method Summary
`int` | `intValue()` Returns the decimal integer value
`java.lang.String` | `toString()` Overridden method to return the decimal value for display

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlexInteger

    public FlexInteger(java.lang.String value)

  Constructor used by Ant's introspection mechanism for attribute population

  Parameters:
    `value` - the value to decode

Method Detail

### intValue

    public int intValue()

  Returns the decimal integer value

  Returns:
    the integer value

### toString

    public java.lang.String toString()

  Overridden method to return the decimal value for display

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string version of the integer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD